SDL_SetPrimarySelectionText(3)

NAME
SDL_SetPrimarySelectionText - Put UTF-8 text into the primary selection.

SYNOPSIS
#include <SDL3/SDL_clipboard.h>

bool SDL_SetPrimarySelectionText(const char *text);

FUNCTION PARAMETERS

text
    the text to store in the primary selection.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetPrimarySelectionText(3), SDL_HasPrimarySelectionText(3)